$LastChangedDate: 27-Juil-2011 $

# CL_op_rarp2ae

Apoapsis radius and periapsis radius to semi major axis and eccentricity (elliptic orbits)

## Calling Sequence

       [sma,ecc] = CL_op_rarp2ae(ra,rp)

## Description

- Computes semi major axis and eccentricity from apoapsis radius and periapsis radius (elliptic orbits only).

- Note:

  CL_op_rarp2ae(rp,ra) is the same as: CL_op_rarp2ae(ra,rp)

## Parameters

ra:

  Apoapsis radius [m] (1xN or 1x1)

rp:

  Periapsis radius [m] (1xN or 1x1)

sma:

  Semi major axis [m] (1xN)

ecc:

  Eccentricity (1xN)

## Authors

- CNES - DCT/SB

## See also

- CL_op_rava2ae

- CL_op_rpvp2ae

## Examples

    ra = 7178.e3;
    rp = 7078.e3;
    [sma,ecc] = CL_op_rarp2ae(ra,rp)